> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/support-application/sa-6/features/find-me.md).

# Find Me

## Overview

Find Me helps a user or support staff member locate a misplaced device by playing an audible alert. The alert can be triggered remotely (via an MQTT-forwarded "find me" command from the BlueFletch Launcher/backend) or automatically when the battery drops below a configured level.

The alert can play an internal bundled sound or an external/configured media file, at a configurable volume. It supports "stop on motion" - the alert is silenced once the device is picked up or moved.

By default, automatic low-battery Find Me alerts are enabled; remote-triggered Find Me works regardless of this setting.

## User Guide

To configure Find Me, complete the following steps:

1. Enable automatic low-battery alerts and set the trigger battery percentage.
2. Configure the alert sound, play duration, and volume.
3. Set the battery percentage that triggers the low-battery alert.
4. Configure alert playback behavior such as stop-on-motion and ignore-screen-state.

## Feature Configuration

### Enabling Automatic Low-Battery Alerts

To enable automatic low-battery Find Me alerts, set `findMeAutoEnabled` to `true`:

```json
"settings": {
 …
 "findMeAutoEnabled": true
}
```

### Configuring the Alert Sound

To play a bundled internal media file, set `findMePlayMedia` and `findMePlayInternalMedia` to `true`:

```json
"settings": {
 …
 "findMePlayMedia": true,
 "findMePlayInternalMedia": true
}
```

To play an external/configured media file, set `findMePlayInternalMedia` to `false` and specify the path:

```json
"settings": {
 …
 "findMePlayMedia": true,
 "findMePlayInternalMedia": false,
 "findMeExternalMedia": "/path/to/alert.mp3"
}
```

To use a system notification sound instead of media, set `findMePlayMedia` to `false`.

```json
"settings": {
 …
 "findMePlayMedia": false,
}
```

### Configuring Alert Duration

Set how long the alert plays. Use `findMeTimeToPlay` for the longer duration used by remote-triggered alerts (e.g., 10 seconds), and `findMeTimeToPlayShort` for the shorter duration used by low-battery alerts (e.g., 1 second):

```json
"settings": {
 …
 "findMeTimeToPlay": 10,
 "findMeTimeToPlayShort": 1
}
```

### Configuring Alert Volume

Set the alert volume as a percentage of max (50–100). Use `findMeAlarmVolume` for remote-triggered alerts and `findMeLowBatteryAlarmVolume` for low-battery alerts:

```json
"settings": {
 …
 "findMeAlarmVolume": "100",
 "findMeLowBatteryAlarmVolume": "100"
}
```

### Configuring Low-Battery Trigger

Set `findMeBatteryLevelWarning` to the battery percentage that triggers the alert. Set to `0` to defer to the OS low-battery signal instead:

```json
"settings": {
 …
 "findMeBatteryLevelWarning": 10
}
```

### Configuring Motion-Based Alert Behavior

```json
"settings": {
 …
"findMeMovementThresholdSeconds": 5
"findMeStopAlertOnMotion": true
}
```

Configure how motion affects alert playback, delay the alert until the device is still, or stop it once the device moves:

### Configuring Ignore Screen State

To play the alert sound regardless of whether the screen is on, set findMeIgnoreScreenState to true:

```json
"settings": {
 …
 "findMeIgnoreScreenState": true
}
```

This table provides the settings for the Find Me feature.

<table><thead><tr><th>Configuration</th><th width="152.89453125">Type</th><th width="114.578125">Default</th><th>Description</th></tr></thead><tbody><tr><td>findMeAutoEnabled</td><td>Boolean</td><td>true</td><td>Enables automatic low-battery Find Me alerts. Remote-triggered Find Me still works when set to <code>false</code>.</td></tr><tr><td>findMePlayMedia</td><td>Boolean</td><td>true</td><td>Determines whether to play a media file (<code>true</code>) or a system notification sound (<code>false</code>).</td></tr><tr><td>findMePlayInternalMedia</td><td>Boolean</td><td>true</td><td>Uses the bundled internal media when <code>true</code>; uses the file path specified in <code>findMeExternalMedia</code> when <code>false</code>.</td></tr><tr><td>findMeTimeToPlay</td><td>Integer</td><td>10</td><td>Duration, in seconds, of the alert for remote-triggered plays.</td></tr><tr><td>findMeTimeToPlayShort</td><td>Integer</td><td>1</td><td>Duration, in seconds, for low-battery-triggered plays.</td></tr><tr><td>findMeExternalMedia</td><td>String</td><td>-</td><td>Path to an external alert media.</td></tr><tr><td>findMeBatteryLevelWarning</td><td>Integer</td><td>10</td><td>Battery percentage that triggers the low-battery alert; Set to <code>0</code> to defer to the OS low-battery signal.</td></tr><tr><td>findMeIgnoreScreenState</td><td>Boolean</td><td>true</td><td>When set to <code>true</code>, it plays the alert sound regardless of whether the screen is on.</td></tr><tr><td>findMeMovementThresholdSeconds</td><td>Integer</td><td>0 (disabled)</td><td>Number of seconds of non-movement before the alert plays.</td></tr><tr><td>findMeStopAlertOnMotion</td><td>Boolean</td><td>false</td><td>When set to <code>true</code>, stops the alert when the device starts moving.</td></tr><tr><td>findMeAlarmVolume</td><td>String (50-100)</td><td>100</td><td>Remote-triggered alert volume, as a percentage of max.</td></tr><tr><td>findMeLowBatteryAlarmVolume</td><td>String (50-100)</td><td>100</td><td>Low-battery alert volume, as a percentage of max.</td></tr></tbody></table>

### Events

| Event         | Description                                                                                     |
| ------------- | ----------------------------------------------------------------------------------------------- |
| `findmealert` | Sent whenever the Find Me UI is displayed to the user, including DND status. See Event Catalog. |

## Putting It All Together

For the example described above, the full configuration for the Find Me feature is as follows:

```json
"settings": {
 …
 "findMeAutoEnabled": true,
 "findMePlayMedia": true,
 "findMePlayInternalMedia": true,
 "findMeTimeToPlay": 10,
 "findMeTimeToPlayShort": 1,
 "findMeBatteryLevelWarning": 10,
 "findMeIgnoreScreenState": true,
 "findMeStopAlertOnMotion": false,
 "findMeAlarmVolume": "100",
 "findMeLowBatteryAlarmVolume": "100"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/support-application/sa-6/features/find-me.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
